package org.ts.ddcs.DataSaveProcesser;


import org.ts.ddcs.DataTemplate.DataTemplateInterface;
import org.ts.ddcs.log.LogHelper;
import org.ts.ddcs.Tool.BytesHelp;

/**
 * 0x11
 * 水资源 同步时钟
 */
@SuppressWarnings("all")
public class DataSaveProcesserSzyC11 extends DataSaveProcesser {
    @Override
    public void Save(DataTemplateInterface dataTemplateInterface) {
        super.Save(dataTemplateInterface);
        String rtucode = BytesHelp.byte2HexStr(dataTemplateInterface.RtuCode());
        LogHelper.info("SAVE:" + rtucode + " " + dataTemplateInterface.GetFeture());
        LogHelper.info(dataTemplateInterface.getDataInfo());
    }
}
